Subject: Re: bug#50774: guix-install.sh outputs invalid utf-8 characters
From: Maxim Cournoyer <[email-masked]>
To: Maxime Devos <[email-masked]>
Cc: [email-masked], Dhruvin Gandhi <[email-masked]>
Date: Tue, 12 Jul 2022 09:37:55 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Maxime Devos <[email-masked]> writes:

> Dhruvin Gandhi schreef op vr 24-09-2021 om 13:26 [+0000]:
>> [...]
>> > This seems like a locale issue:
>> > 
>> > [...]
>> > Did you set LC_ALL to an UTF-8 locale before running guix-install.sh?
>> 
>> No
>> 
>> > If not, the default ANSI_X3.4-1968 encoding is used, which doesn't support the letter è.
>> 
>> I think this must be it.
>> 
>> Is defining LC_ALL=en_US.UTF-8 necessary before using the installer? If yes, should we document
>> it or maybe add it to the installer itself?
>
> I don't think it is.  Other locales such as LC_ALL=nl_NL.UTF-8 should work too I think,
> and an UTF-8 locale isn't required AFAIK, though an UTF-8 locale appears to be required to
> get UTF-8 output from guix-install.

Closing, as a UTF-8 locale shouldn't be a requirement for using
install.sh.

Thanks for the report!

Maxim